#include "stdafx.h"
#include "JSAPrivate.hpp"

namespace JSA
{
    CHashTable::CHashTable() : m_pHashLists(0),m_nListCount(0)
    {
        m_pHashLists = new CHashList[CHashTable::TwoBytes];
        m_nListCount = CHashTable::TwoBytes;
    }

    CHashTable::~CHashTable()
    {
        if (m_pHashLists != 0)
        {
            delete [] m_pHashLists;
        }
    }

    const CHashList & CHashTable::GetHashList(unsigned long long nHashCode) const
    {
        const unsigned long long nListIndex = nHashCode % m_nListCount;

        return m_pHashLists[nListIndex];
    }

    CHashList & CHashTable::GetHashList(unsigned long long nHashCode)
    {
        const unsigned long long nListIndex = nHashCode % m_nListCount;

        return m_pHashLists[nListIndex];
    }
}
